package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class MaidianDictPageDTO implements Serializable {
    private String moduleId;

    private String moduleName;

    private Date createTime;

    private Date updateTime;

    private Integer status;

    private String operationPerson;
    
    private Integer hideFlag;

    private String code;

    private String moduleData;
    
    private List<MaidianDictDTO> pageList;


    private static final long serialVersionUID = 1L;

    public Integer getHideFlag() {
		return hideFlag;
	}

	public void setHideFlag(Integer hideFlag) {
		this.hideFlag = hideFlag;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getModuleData() {
		return moduleData;
	}

	public void setModuleData(String moduleData) {
		this.moduleData = moduleData;
	}

	public List<MaidianDictDTO> getPageList() {
		return pageList;
	}

	public void setPageList(List<MaidianDictDTO> pageList) {
		this.pageList = pageList;
	}

	public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId == null ? null : moduleId.trim();
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName == null ? null : moduleName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getOperationPerson() {
        return operationPerson;
    }

    public void setOperationPerson(String operationPerson) {
        this.operationPerson = operationPerson == null ? null : operationPerson.trim();
    }
}